{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Загрузка нового файла</h2>
    <hr>
    <form method="post" action="" enctype= "multipart/form-data">
        <div class="form-group">
            <label for="inputdefault">Название:</label>
            <input class="form-control" id="inputdefault" type="text" name="name" value="">
        </div>
        <p>Тип файла:</p>
        <select class="form-control" name="type">
            <option value="image-type">Изображение</option>
            <option value="document-type">Документ</option>
            <option value="application-type">Приложение</option>
            <option value="other-type">Другое</option>
        </select>
        <hr>
            <div class="form-group">
                <div class="file_name">
                </div>
                <br>
                <label class="btn btn-default btn-file">Выбрать файл
                    <input id="file_upload" type="file" name="file" style="display: none;" onchange="fileName();">
                </label>
            </div>
        <div class="col-md-4">
            <div class="form-group">
                <hr>
                <button type="submit" class="btn btn-primary btn-md btn-block" name="add">Добавить</button>
            </div>
        </div>
    </form>

    <script>
        function fileName() {
            filename = $('input[type=file]').val().split('\\').pop();
            $('div.file_name').html(filename);
        }
    </script>
{% endblock %}